#ifndef bqtConnectionHH
#define bqtConnectionHH

#include <netinet/in.h> /* for sockaddr_in */
#include <sys/types.h>  /* for socklen_t   */

#include "protocols.hh"

struct Connection
{
    struct sockaddr_in Addr;
    socklen_t          AddrLen;
    int                DestPort;
    enum SockProtocol  Protocol;

    bool operator== (const Connection &conn) const;
    bool operator< (const Connection &conn) const;
};

#endif
